KDE 4.7 PyKDE API Reference

- KDE's Python API

# AddressAttribute Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Attribute
Namespace: Akonadi

## Detailed Description

Attribute storing the From, To, Cc, Bcc addresses of a message.

Author:
  Constantin Berzan <exit3219@gmail.com>

Since:
  4.4

## Methods
| __init__ (self, QString from=QString(), QStringList to=QStringList(), QStringList cc=QStringList(), QStringList bcc=QStringList())
QStringList | bcc (self)
QStringList | cc (self)
Akonadi.AddressAttribute | clone (self)
| deserialize (self, QByteArray data)
QString | from (self)
Akonadi.AddressAttribute | operator = (self, Akonadi.AddressAttribute a0)
QByteArray | serialized (self)
| setBcc (self, QStringList bcc)
| setCc (self, QStringList cc)
| setFrom (self, QString from)
| setTo (self, QStringList to)
QStringList | to (self)
QByteArray | type (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | from=QString(),
|  | QStringList | to=QStringList(),
|  | QStringList | cc=QStringList(),
|  | QStringList | bcc=QStringList()
| ) |  |  |

Creates a new AddressAttribute.

QStringList bcc | ( |  | self ) |

Returns the addresses of the "Bcc:" receivers.

QStringList cc | ( |  | self ) |

Returns the addresses of the "Cc:" receivers.

Akonadi.AddressAttribute clone | ( |  | self ) |

deserialize | ( | self, |
|  | QByteArray | data
| ) |  |  |

QString from | ( |  | self ) |

Returns the address of the sender.

Akonadi.AddressAttribute operator = | ( | self, |
|  | Akonadi.AddressAttribute | a0
| ) |  |  |

QByteArray serialized | ( |  | self ) |

setBcc | ( | self, |
|  | QStringList | bcc
| ) |  |  |

Sets the addresses of the "Bcc:" receivers."

setCc | ( | self, |
|  | QStringList | cc
| ) |  |  |

Sets the addresses of the "Cc:" receivers."

setFrom | ( | self, |
|  | QString | from
| ) |  |  |

Sets the address of the sender.

setTo | ( | self, |
|  | QStringList | to
| ) |  |  |

Sets the addresses of the "To:" receivers."

QStringList to | ( |  | self ) |

Returns the addresses of the "To:" receivers.

QByteArray type | ( |  | self ) |